<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::ReusableStringStream Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="classCatch_1_1ReusableStringStream.html">ReusableStringStream</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classCatch_1_1ReusableStringStream-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::ReusableStringStream Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Catch::ReusableStringStream:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1ReusableStringStream__inherit__graph.png" border="0" usemap="#Catch_1_1ReusableStringStream_inherit__map" alt="Inheritance graph"/></div>
<map name="Catch_1_1ReusableStringStream_inherit__map" id="Catch_1_1ReusableStringStream_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,217,107"/>
<area shape="rect" href="classCatch_1_1NonCopyable.html" title=" " alt="" coords="34,5,189,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Catch::ReusableStringStream:</div>
<div class="dyncontent">
<div class="center"><img src="classCatch_1_1ReusableStringStream__coll__graph.png" border="0" usemap="#Catch_1_1ReusableStringStream_coll__map" alt="Collaboration graph"/></div>
<map name="Catch_1_1ReusableStringStream_coll__map" id="Catch_1_1ReusableStringStream_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,217,107"/>
<area shape="rect" href="classCatch_1_1NonCopyable.html" title=" " alt="" coords="34,5,189,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a9b3f8c52b0d2d63ffd825297a9c09781"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a9b3f8c52b0d2d63ffd825297a9c09781">ReusableStringStream</a> ()</td></tr>
<tr class="separator:a9b3f8c52b0d2d63ffd825297a9c09781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba9384e258a4db3178447b6a58414712"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#aba9384e258a4db3178447b6a58414712">~ReusableStringStream</a> ()</td></tr>
<tr class="separator:aba9384e258a4db3178447b6a58414712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e9ecf260b2a5d35f4886ef0d51f6270"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a0e9ecf260b2a5d35f4886ef0d51f6270">str</a> () const -&gt; std::string</td></tr>
<tr class="separator:a0e9ecf260b2a5d35f4886ef0d51f6270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af95f72024c082db70e5e50782e28e4f6"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:af95f72024c082db70e5e50782e28e4f6"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#af95f72024c082db70e5e50782e28e4f6">operator&lt;&lt;</a> (T const &amp;value) -&gt; <a class="el" href="classCatch_1_1ReusableStringStream.html">ReusableStringStream</a> &amp;</td></tr>
<tr class="separator:af95f72024c082db70e5e50782e28e4f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6881808c60a080d4e24a0b81c94cbf67"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a6881808c60a080d4e24a0b81c94cbf67">get</a> () -&gt; std::ostream &amp;</td></tr>
<tr class="separator:a6881808c60a080d4e24a0b81c94cbf67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b3f8c52b0d2d63ffd825297a9c09781"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a9b3f8c52b0d2d63ffd825297a9c09781">ReusableStringStream</a> ()</td></tr>
<tr class="separator:a9b3f8c52b0d2d63ffd825297a9c09781"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba9384e258a4db3178447b6a58414712"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#aba9384e258a4db3178447b6a58414712">~ReusableStringStream</a> ()</td></tr>
<tr class="separator:aba9384e258a4db3178447b6a58414712"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e9ecf260b2a5d35f4886ef0d51f6270"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a0e9ecf260b2a5d35f4886ef0d51f6270">str</a> () const -&gt; std::string</td></tr>
<tr class="separator:a0e9ecf260b2a5d35f4886ef0d51f6270"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af95f72024c082db70e5e50782e28e4f6"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:af95f72024c082db70e5e50782e28e4f6"><td class="memTemplItemLeft" align="right" valign="top">auto&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#af95f72024c082db70e5e50782e28e4f6">operator&lt;&lt;</a> (T const &amp;value) -&gt; <a class="el" href="classCatch_1_1ReusableStringStream.html">ReusableStringStream</a> &amp;</td></tr>
<tr class="separator:af95f72024c082db70e5e50782e28e4f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6881808c60a080d4e24a0b81c94cbf67"><td class="memItemLeft" align="right" valign="top">auto&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a6881808c60a080d4e24a0b81c94cbf67">get</a> () -&gt; std::ostream &amp;</td></tr>
<tr class="separator:a6881808c60a080d4e24a0b81c94cbf67"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a6e8154ffe67117de424c491e3b192504"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a6e8154ffe67117de424c491e3b192504">m_index</a></td></tr>
<tr class="separator:a6e8154ffe67117de424c491e3b192504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56522721fe8b0890f97475f908bb9f37"><td class="memItemLeft" align="right" valign="top">std::ostream *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1ReusableStringStream.html#a56522721fe8b0890f97475f908bb9f37">m_oss</a></td></tr>
<tr class="separator:a56522721fe8b0890f97475f908bb9f37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classCatch_1_1NonCopyable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classCatch_1_1NonCopyable')"><img src="closed.png" alt="-"/>&#160;Private Member Functions inherited from <a class="el" href="classCatch_1_1NonCopyable.html">Catch::NonCopyable</a></td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a4b492dd5753f9952350fb64dc6cb9fe2">NonCopyable</a> ()</td></tr>
<tr class="separator:a4b492dd5753f9952350fb64dc6cb9fe2 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCatch_1_1NonCopyable.html#a81254677280fef337eb4a676e91e3293">~NonCopyable</a> ()</td></tr>
<tr class="separator:a81254677280fef337eb4a676e91e3293 inherit pub_methods_classCatch_1_1NonCopyable"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a9b3f8c52b0d2d63ffd825297a9c09781"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b3f8c52b0d2d63ffd825297a9c09781">&#9670;&nbsp;</a></span>ReusableStringStream() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ReusableStringStream::ReusableStringStream </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba9384e258a4db3178447b6a58414712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba9384e258a4db3178447b6a58414712">&#9670;&nbsp;</a></span>~ReusableStringStream() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ReusableStringStream::~ReusableStringStream </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9b3f8c52b0d2d63ffd825297a9c09781"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b3f8c52b0d2d63ffd825297a9c09781">&#9670;&nbsp;</a></span>ReusableStringStream() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ReusableStringStream::ReusableStringStream </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aba9384e258a4db3178447b6a58414712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba9384e258a4db3178447b6a58414712">&#9670;&nbsp;</a></span>~ReusableStringStream() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Catch::ReusableStringStream::~ReusableStringStream </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6881808c60a080d4e24a0b81c94cbf67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6881808c60a080d4e24a0b81c94cbf67">&#9670;&nbsp;</a></span>get() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ReusableStringStream::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; std::ostream&amp; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6881808c60a080d4e24a0b81c94cbf67"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6881808c60a080d4e24a0b81c94cbf67">&#9670;&nbsp;</a></span>get() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ReusableStringStream::get </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> -&gt; std::ostream&amp; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af95f72024c082db70e5e50782e28e4f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af95f72024c082db70e5e50782e28e4f6">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ReusableStringStream::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1ReusableStringStream.html">ReusableStringStream</a>&amp; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af95f72024c082db70e5e50782e28e4f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af95f72024c082db70e5e50782e28e4f6">&#9670;&nbsp;</a></span>operator&lt;&lt;() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ReusableStringStream::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td> -&gt; <a class="el" href="classCatch_1_1ReusableStringStream.html">ReusableStringStream</a>&amp; </td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e9ecf260b2a5d35f4886ef0d51f6270"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e9ecf260b2a5d35f4886ef0d51f6270">&#9670;&nbsp;</a></span>str() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ReusableStringStream::str </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  std::string</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e9ecf260b2a5d35f4886ef0d51f6270"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e9ecf260b2a5d35f4886ef0d51f6270">&#9670;&nbsp;</a></span>str() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">auto Catch::ReusableStringStream::str </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const -&gt;  std::string</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a6e8154ffe67117de424c491e3b192504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e8154ffe67117de424c491e3b192504">&#9670;&nbsp;</a></span>m_index</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t Catch::ReusableStringStream::m_index</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a56522721fe8b0890f97475f908bb9f37"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a56522721fe8b0890f97475f908bb9f37">&#9670;&nbsp;</a></span>m_oss</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream * Catch::ReusableStringStream::m_oss</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
